//
//  UICookieMonster.h
//  Unsanity Installer
//
//  Created by Slava Karpenko on Thu Nov 28 2002.
//  Copyright (c) 2002 Unsanity LLC. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface UICookieMonster : NSObject {
    NSString* productID;
    NSMutableArray* files;
    BOOL dirty;
    BOOL isGlobal;
    UInt32 version;
    UInt32 cachedVersion;
}

+ monsterWithProductID:(NSString*)pid global:(BOOL)global version:(UInt32)inVersion;
+ monsterWithProductID:(NSString*)pid global:(BOOL)global;
+ monsterWithProductID:(NSString*)pid;
+ (void)removeProductID:(NSString*)pid;

- initWithProductID:(NSString*)pid globalVersionValid:(BOOL)gvValid global:(BOOL)global version:(UInt32)inVersion;

- (void)addFile:(NSString*)path;
- (void)removeFile:(NSString*)path;

- (UInt32)productVersion;
- (BOOL)isGlobal;

- (NSArray*)filesToRemove;

- (void)flush;
@end
